function Y(t, e) {
  e < 1 && (e = 1);
  const n = Math.ceil(t.length / e);
  return Array.from({ length: n }, (r, o) => t.slice(o * e, o * e + e));
}
function Z(t, e, n) {
  const r = n[1] - n[0], o = e[1] - e[0], s = (t - e[0]) / o;
  return n[0] + s * r;
}
function Q(t, e, n = 1) {
  if (n === 0) return [];
  const r = Math.floor((e - t) / n) + 1;
  return r <= 0 ? [] : Array.from({ length: r }).map((o, s) => +(t + s * n).toFixed(4));
}
function b(t) {
  const e = t.lastIndexOf(".");
  return e <= 0 ? "" : e === t.length - 1 ? "." : t.slice(e);
}
function q(t) {
  const e = b(t);
  if (e !== "")
    return e === "." ? "" : e.slice(1);
}
function J(t) {
  if (t === ".") return "";
  const e = b(t);
  return e ? t.slice(0, -e.length) : t;
}
function tt(t, e = 2) {
  const n = +t;
  if (!n) return "0 Bytes";
  const r = 1024, o = e < 0 ? 0 : e, s = ["Bytes", "KB", "MB", "GB", "TB", "PB", "EB", "ZB", "YB"], c = Math.floor(Math.log(n) / Math.log(r));
  return `${parseFloat((n / Math.pow(r, c)).toFixed(o))} ${s[c]}`;
}
function et(t, e = 2) {
  const n = +t;
  if (!n) return [0, "Bytes"];
  const r = 1024, o = e < 0 ? 0 : e, s = ["Bytes", "KB", "MB", "GB", "TB", "PB", "EB", "ZB", "YB"], c = Math.floor(Math.log(n) / Math.log(r));
  return [parseFloat((n / Math.pow(r, c)).toFixed(o)), s[c]];
}
function nt(t, e) {
  const { [e]: n, ...r } = t;
  return r;
}
function $(t, e) {
  if (!t || e.length === 0) return !1;
  const n = t.toLowerCase(), r = e.map((o) => o.toLowerCase());
  return S(n, r);
}
function rt(t, e) {
  return t.every((n) => $(n, e));
}
function ot(t, e) {
  return t.some((n) => $(n, e));
}
function S(t, e) {
  const n = t.includes(".") ? t.slice(0, t.indexOf(".")) : t;
  if (e.includes(`${n}.*`)) return !0;
  if (t.endsWith(".?")) {
    const r = t.slice(0, -2);
    return e.some((o) => o.startsWith(`${r}.`));
  }
  return e.some((r) => {
    if (r.endsWith("*")) {
      const o = r.slice(0, -1);
      return t.startsWith(o);
    }
    return r === t;
  });
}
function z(t, e = "words") {
  return t ? e === "first" ? t.charAt(0).toUpperCase() + t.slice(1) : t.split(" ").map((n) => n ? n.charAt(0).toUpperCase() + n.slice(1) : "").join(" ") : "";
}
const T = "a-z0-9ßäöü-", L = new RegExp(`[^${T}]+`, "gi"), D = new RegExp(`^[${T}]+$`);
function k(t) {
  return t.trim().toLocaleLowerCase().replace(/-+/g, " ").replace(L, " ").trim().replace(/\s+/g, "-");
}
function st(t) {
  return !(typeof t != "string" || !D.test(t) || /^[-]+$/.test(t) || t.startsWith("-") || t.endsWith("-"));
}
function it(t) {
  return t.split("@")[0].trim().split(".").map((n) => {
    const o = k(n).replace(/-/g, " ");
    return z(o).replace(/ /g, "-");
  }).join(" ");
}
function G(t, e = "&") {
  const n = t.filter((r) => r != null);
  return n.length < 3 ? n.join(` ${e} `) : `${n.slice(0, -1).join(", ")} ${e} ${n[n.length - 1]}`;
}
function ct(t, e, n = "oder") {
  const r = t.filter((s) => s != null);
  for (let s = r.length - 1; s > 0; s--) {
    const c = Math.floor(Math.random() * (s + 1));
    [r[s], r[c]] = [r[c], r[s]];
  }
  const o = r.slice(0, e);
  return G(o, n);
}
function lt(t) {
  const e = t.trim();
  return e.length === 0 ? "" : e.length < 3 || !e.includes(" ") ? e.slice(0, 2) : e.charAt(0) + e.charAt(e.lastIndexOf(" ") + 1);
}
function j(t) {
  if (Object.prototype.hasOwnProperty.call(t, "__esModule")) return t;
  var e = t.default;
  if (typeof e == "function") {
    var n = function r() {
      return this instanceof r ? Reflect.construct(e, arguments, this.constructor) : e.apply(this, arguments);
    };
    n.prototype = e.prototype;
  } else n = {};
  return Object.defineProperty(n, "__esModule", { value: !0 }), Object.keys(t).forEach(function(r) {
    var o = Object.getOwnPropertyDescriptor(t, r);
    Object.defineProperty(n, r, o.get ? o : {
      enumerable: !0,
      get: function() {
        return t[r];
      }
    });
  }), n;
}
var E = { exports: {} };
const M = new Uint32Array(65536), F = (t, e) => {
  const n = t.length, r = e.length, o = 1 << n - 1;
  let s = -1, c = 0, d = n, u = n;
  for (; u--; )
    M[t.charCodeAt(u)] |= 1 << u;
  for (u = 0; u < r; u++) {
    let p = M[e.charCodeAt(u)];
    const m = p | c;
    p |= (p & s) + s ^ s, c |= ~(p | s), s &= p, c & o && d++, s & o && d--, c = c << 1 | 1, s = s << 1 | ~(m | c), c &= m;
  }
  for (u = n; u--; )
    M[t.charCodeAt(u)] = 0;
  return d;
}, U = (t, e) => {
  const n = e.length, r = t.length, o = [], s = [], c = Math.ceil(n / 32), d = Math.ceil(r / 32);
  for (let i = 0; i < c; i++)
    s[i] = -1, o[i] = 0;
  let u = 0;
  for (; u < d - 1; u++) {
    let i = 0, f = -1;
    const a = u * 32, h = Math.min(32, r) + a;
    for (let l = a; l < h; l++)
      M[t.charCodeAt(l)] |= 1 << l;
    for (let l = 0; l < n; l++) {
      const B = M[e.charCodeAt(l)], y = s[l / 32 | 0] >>> l & 1, g = o[l / 32 | 0] >>> l & 1, C = B | i, R = ((B | g) & f) + f ^ f | B | g;
      let w = i | ~(R | f), A = f & R;
      w >>> 31 ^ y && (s[l / 32 | 0] ^= 1 << l), A >>> 31 ^ g && (o[l / 32 | 0] ^= 1 << l), w = w << 1 | y, A = A << 1 | g, f = A | ~(C | w), i = w & C;
    }
    for (let l = a; l < h; l++)
      M[t.charCodeAt(l)] = 0;
  }
  let p = 0, m = -1;
  const I = u * 32, v = Math.min(32, r - I) + I;
  for (let i = I; i < v; i++)
    M[t.charCodeAt(i)] |= 1 << i;
  let x = r;
  for (let i = 0; i < n; i++) {
    const f = M[e.charCodeAt(i)], a = s[i / 32 | 0] >>> i & 1, h = o[i / 32 | 0] >>> i & 1, l = f | p, B = ((f | h) & m) + m ^ m | f | h;
    let y = p | ~(B | m), g = m & B;
    x += y >>> r - 1 & 1, x -= g >>> r - 1 & 1, y >>> 31 ^ a && (s[i / 32 | 0] ^= 1 << i), g >>> 31 ^ h && (o[i / 32 | 0] ^= 1 << i), y = y << 1 | a, g = g << 1 | h, m = g | ~(l | y), p = y & l;
  }
  for (let i = I; i < v; i++)
    M[t.charCodeAt(i)] = 0;
  return x;
}, P = (t, e) => {
  if (t.length < e.length) {
    const n = e;
    e = t, t = n;
  }
  return e.length === 0 ? t.length : t.length <= 32 ? F(t, e) : U(t, e);
}, N = (t, e) => {
  let n = 1 / 0, r = 0;
  for (let o = 0; o < e.length; o++) {
    const s = P(t, e[o]);
    s < n && (n = s, r = o);
  }
  return e[r];
}, H = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  closest: N,
  distance: P
}, Symbol.toStringTag, { value: "Module" })), K = /* @__PURE__ */ j(H);
var O;
function W() {
  return O || (O = 1, function(t, e) {
    (function() {
      var n;
      try {
        n = typeof Intl < "u" && typeof Intl.Collator < "u" ? Intl.Collator("generic", { sensitivity: "base" }) : null;
      } catch {
        console.log("Collator could not be initialized and wouldn't be used");
      }
      var r = K, o = [], s = [], c = {
        /**
         * Calculate levenshtein distance of the two strings.
         *
         * @param str1 String the first string.
         * @param str2 String the second string.
         * @param [options] Additional options.
         * @param [options.useCollator] Use `Intl.Collator` for locale-sensitive string comparison.
         * @return Integer the levenshtein distance (0 and above).
         */
        get: function(d, u, p) {
          var m = p && n && p.useCollator;
          if (m) {
            var I = d.length, v = u.length;
            if (I === 0) return v;
            if (v === 0) return I;
            var x, i, f, a, h;
            for (f = 0; f < v; ++f)
              o[f] = f, s[f] = u.charCodeAt(f);
            o[v] = v;
            var l;
            for (f = 0; f < I; ++f) {
              for (i = f + 1, a = 0; a < v; ++a)
                x = i, l = n.compare(d.charAt(f), String.fromCharCode(s[a])) === 0, i = o[a] + (l ? 0 : 1), h = x + 1, i > h && (i = h), h = o[a + 1] + 1, i > h && (i = h), o[a] = x;
              o[a] = i;
            }
            return i;
          }
          return r.distance(d, u);
        }
      };
      t !== null && t.exports === e ? t.exports = c : typeof self < "u" && typeof self.postMessage == "function" && typeof self.importScripts == "function" ? self.Levenshtein = c : typeof window < "u" && window !== null && (window.Levenshtein = c);
    })();
  }(E, E.exports)), E.exports;
}
var V = W();
function X(t, e) {
  return V.get(t, e, { useCollator: !1 });
}
function _(t) {
  return t.split(" ").map((e) => e.toLowerCase().trim()).filter((e) => e.length > 0);
}
function ft(t, e, n = 2) {
  const r = _(t), o = _(e);
  return r.some(
    (s) => o.some((c) => s.includes(c) || c.includes(s) ? !0 : X(s, c) <= n)
  );
}
function ut(t, e = 20, n = "…") {
  if (t.length <= e) return t;
  const r = Math.floor(e / 2);
  return r === 0 ? n : `${t.slice(0, r)}${n}${t.slice(-r)}`;
}
function at(t) {
  return t.startsWith("https://images.unsplash.com/") || t.startsWith("https://file.svi-itlab.com/") ? t.split("?")[0] : t;
}
const ht = [
  "AUDIO",
  "CODE",
  "GRID",
  "GRID_LR",
  "GRID_LRR",
  "GRID_RLL",
  "IMAGE",
  "IMAGE_TEXT",
  "QUOTE",
  "RICHTEXT",
  "SLIDER",
  "VIDEO",
  "ITLAB",
  "BANNER",
  "FILES"
], dt = ["online", "onsite", "hybrid"], pt = {
  hybrid: "Hybrid",
  online: "Online",
  onsite: "vor Ort"
};
export {
  dt as EVENT_MODES,
  pt as EventModeLabel,
  ht as LabContentTypes,
  z as capitalize,
  Y as createChunks,
  nt as deleteProperty,
  it as emailToUsername,
  tt as formatBytes,
  et as formatBytesToParts,
  G as formatList,
  ct as formatRandomSampleList,
  b as getExtension,
  q as getExtensionName,
  lt as getInitials,
  X as getLevenshteinDistance,
  rt as hasEveryPermission,
  $ as hasPermission,
  ot as hasSomePermission,
  ft as isFuzzyMatch,
  st as isHubId,
  Z as mapNumber,
  Q as range,
  J as removeExtension,
  ut as shrinkString,
  k as toHubId,
  at as transformImageUrl
};
