import { LabThumbnail } from '../lab-thumbnail.type';
type LabBackground = LabThumbnail;
/**
 * Represents an audio element with an optional visual background.
 */
export type LabContentAudio = {
    /** Background image or visual associated with the audio content. */
    background: LabBackground;
    /** Source URL of the audio file. */
    src: string;
};
export {};
