/**
 * Represents a video embed with alt text and optional sizing constraints.
 */
export type LabContentVideo = {
    /** Video source URL. */
    src: string;
    /** Alternative text describing the video for accessibility. */
    alt: string;
    /** Optional maximum height in pixels. */
    maxHeight?: number;
    /** Optional maximum width in pixels. */
    maxWidth?: number;
};
