/**
 * Represents a code snippet with language context.
 */
export type LabContentCode = {
    /** Raw code as a string. */
    code: string;
    /** Programming language of the code snippet (e.g. 'js', 'python'). */
    lang: string;
};
