/**
 * Represents a downloadable file with URI and name.
 */
export type LabContentFile = {
    /** URI where the file is hosted. */
    uri: string;
    /** File name displayed to users. */
    filename: string;
};
/**
 * Collection of file attachments.
 */
export type LabContentFiles = LabContentFile[];
